Last Comment Bug 257489 - support paste command in FAYT mode
: support paste command in FAYT mode
Status: RESOLVED FIXED
SeaMonkey Only. This is fixed on Fx.
: helpwanted
Product: SeaMonkey
Classification: Client Software
Component: Find In Page (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: seamonkey2.1a3
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 263871 314380 (view as bug list)
Depends on: 97023
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 21:52 PDT by Sekundes
Modified: 2010-07-24 14:20 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Sekundes 2004-08-30 21:52:19 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8a3) Gecko/20040817
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8a3) Gecko/20040817

In Opera, it's possible to paste the copied string in the clipboard to FAYT mode.
This could be achieved by using the alternative Ctrl + F; however, it's sloooow. :)
FAYT is simply the replacement of Ctrl + F in my life.
It's of high use when you've to find the foreign characters as we've no idea to
type it.

Reproducible: Always
Steps to Reproduce:
1. Type / or ' to enable FAYT mode.
2. Ctrl + V. (Make sure you've copied *sth*)
Actual Results:  
Nothing happened.

Expected Results:  
Paste command should work in FAYT mode.
Comment 1 Aaron Leventhal 2004-09-02 08:23:51 PDT
Firefox already has this with the find toolbar. I'm not interested in
reinventing the wheel with old FAYT. People might even be pretty confused by it
when there's no find textfield.
Comment 2 Jesse Ruderman 2004-10-19 17:43:38 PDT
*** Bug 263871 has been marked as a duplicate of this bug. ***
Comment 3 Jesse Ruderman 2004-10-19 17:44:18 PDT
Aaron, Firefox's Find toolbar isn't focused if you hit ' or /.  It's only
focused if you hit Ctrl+F.
Comment 4 Smokey Ardisson (offline for a while; not following bugs - do not email) 2005-10-30 23:05:02 PST
*** Bug 314380 has been marked as a duplicate of this bug. ***
Comment 5 Masayuki Nakano [:masayuki] (Mozilla Japan) 2005-11-02 22:00:31 PST
This bug is fixed on Fx. But not so SeaMonkey. Because SeaMonkey isn't using editor widget for FAYT. It's causes from many bugs. We should port Find Toolbar from Firefox to SaeMonkey. This is bug 97023.
Comment 6 Robert Kaiser (not working on stability any more) 2010-07-24 14:20:19 PDT
FIXED BY bug 97023.

Note You need to log in before you can comment on or make changes to this bug.